Subject: RFC 1661, Point to Point Protocol

From: "Fortini, Joy" <[email-masked]>
Date: Tue, 11 Nov 1997 09:23:29 -0500

> Greetings,
> 
> I am looking for RFCs numbers that may give information on the family
> of NCPs that were referenced in RFC 1661. I believe the quote from RFC
> 1661 is "These NCPs are defined in companion documents". I am trying
> to find out what those companion documents are. I have done an
> extensive search that has only led me to RFC 1570 and 1332. I believe
> there has to be more infomation on the actual message format etc. Also
> I am looking to see If an RFC exists that provides options for
> user defined protocols.
> 
> I am in the process of doing some research on the Point to Point
> Protocol and am focusing on the first two or three transmissions in a
> PPP environment that might lead to an IP based system. In this, the
> sequence
> would be to start with a PPP message, probably with HDLC-like framing.
> The
> first message would contain Link Control Messages in accordance with
> the Link
> Control Protocol (LCP).  Each of these messages is contained within
> the PPP
> structure.  During the LCP phase, no information or structuring of any
> kind
> is present about IP.  Following the LCP phase, a transition to the
> Network
> Control Protocol Phase takes place.  At this time NCP messages are
> exchanged
> embedded within the PPP envelope.  Still no IP structure.  But in this
> phase
> the end terminals might agree to use IP as the next layer of
> structure.  Not
> sure, but I think that at some time an ICMP set of protocols comes in
> to add
> in TCP, etc.
> 
> I would appreciate any help you can give. Thanks for your time.
> 
> Regards,
> 
> Joy Fortini
> Systems Engineer
> GTE Government Systems
> email- [email-masked]
> 
> 
> Joy
>

---

From: James Carlson <[email-masked]>
Date: Wed, 12 Nov 1997 09:56:35 -0500

> > I am looking to see If an RFC exists that provides options for

There are no explicit provisions for separate user-defined protocols,
but there's no reason someone can't do this after appropriately
detecting that the peer is a device made by the same manufacturer
(perhaps through the LCP Identification message).  Once this
identification has been made, all bets are off.

There are a lot of NCPs.  See RFCs 2097, 2043, 2023, 1963, 1841, 1764,
1763, 1762, 1638, 1552, 1378, 1377, and 1332.

> Protocol and am focusing on the first two or three transmissions in
> a PPP environment that might lead to an IP based system. In this,
> the sequence would be to start with a PPP message, probably with
> HDLC-like framing.  The first message would contain Link Control
> Messages in accordance with the Link Control Protocol (LCP).  Each
> of these messages is contained within the PPP structure.  During the
> LCP phase, no information or structuring of any kind is present
> about IP.  Following the LCP phase, a transition to the Network
> Control Protocol Phase takes place.

Actually, a reasonable system would next do authentication phase.

>  At this time NCP messages are
> exchanged embedded within the PPP envelope.  Still no IP structure.

No.  IP addresses are exchanged by way of IPCP at this stage.

> But in this phase the end terminals might agree to use IP as the
> next layer of structure.  Not sure, but I think that at some time an
> ICMP set of protocols comes in to add in TCP, etc.

No.  Once IPCP goes to Open state, any IP messages can be sent.  You
don't "add in" TCP or any of the other IP protocols by way of ICMP.
Once an IP link is established, all of those protocols are there by
default.

The next message after the last IPCP Configure-Ack may well be a TCP
segment with the SYN flag set inside of an IP frame with PPP protocol
number 0021 on the front.

-- 
James Carlson, Consulting Engineer                <[email-masked]>
IronBridge Networks / 5 Corporate Drive            Vox:  +1 978 691 4644
Andover MA  01810-2448 / USA                       Fax:  +1 978 691 6300